--- xinetd.spec	Tue Jul  3 20:59:42 2001
+++ xinetd-2.3.0_6.2_IPv6.spec	Wed Jul 18 20:07:32 2001
@@ -1,7 +1,7 @@
 Summary: A secure replacement for inetd.
 Name: xinetd
 Version: 2.3.0
-Release: 1.71
+Release: 1.71_6.2_IPv6
 License: Distributable (BSD-like)
 Group: System Environment/Daemons
 Source: http://synack.net/xinetd/xinetd-%{version}.tar.gz
@@ -20,9 +20,9 @@
 Patch0: xinetd-2.3.0-skipjunkfiles.patch
 Patch1: xinetd-2.3.0-filelog.patch
 Provides: inetd
-Prereq: /sbin/chkconfig /etc/init.d /sbin/service
+Prereq: /sbin/chkconfig /sbin/service
 BuildRequires: tcp_wrappers glibc-devel
-Requires: filesystem >= 2.0.1, initscripts, setup, fileutils
+Requires: filesystem >= 1.3.5, initscripts, setup, fileutils
 URL: http://synack.net/xinetd/
 BuildRoot: %{_tmppath}/%{name}-%{version}-root
 Obsoletes: inetd, netkit-base
@@ -35,6 +35,7 @@
 limit on the number of server arguments and you can bind specific
 services to specific IP addresses on your host machine. It also enables
 information of a service to be in a separate file
+IPv6-enabled package!
 
 %prep
 %setup -q 
@@ -42,7 +43,7 @@
 %patch1 -p1
 
 %build
-%configure --with-libwrap
+%configure --with-libwrap --with-inet6
 make
 
 %install
@@ -78,6 +79,10 @@
     /sbin/chkconfig --add xinetd 
 fi
 
+if [ ! -d /etc/init.d ]; then
+       ln -s /etc/rc.d/init.d /etc/init.d
+fi
+
 %preun
 if [ $1 = 0 ]; then
     /sbin/chkconfig --del xinetd 
@@ -102,6 +107,11 @@
 %config(noreplace) /etc/sysconfig/xinetd
 
 %changelog
+* Wed Jul 18 2001 Peter Bieringer <pb@bieringer.de>
+- lower down require versions for RHL 6.2 usage 
+- remove prereq /etc/init.d, create it instead, if not existing
+- enable IPv6
+
 * Tue Jul  3 2001 Trond Eivind Glomsrd <teg@redhat.com>
 - redo skipjunkfile patch
 - Add patch for handling filelogs better
